Bug 16681 - Allow update of opacnote via batch patron modification tool
Summary: Allow update of opacnote via batch patron modification tool
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-07 13:23 UTC by Nick Clemens
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16681 - Allow update of opacnote via batch patron modification tool (4.44 KB, patch)
2016-07-14 15:51 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16681 - Allow update of opacnote via batch patron modification tool (4.57 KB, patch)
2016-07-15 07:22 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16681 - Allow update of opacnote via batch patron modification tool (4.63 KB, patch)
2016-07-15 14:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-06-07 13:23:06 UTC
Work to be done:

  Add opacnotes to fields available for batch patron modification
Comment 1 Nick Clemens 2016-07-14 15:51:34 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-07-15 07:22:19 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-15 14:46:47 UTC
Created attachment 53437 [details] [review]
Bug 16681 - Allow update of opacnote via batch patron modification tool

To test:
1 - Select a batch of patrons (via list, saved file, and cardnumber
        entry)
2 - Verify you cannot edit 'opacnotes' field, nor can you see
'borrowernotes' field in table, though you can edit it
3 - Verify editing works as expected
4 - Apply patch
5 - Select a batch via each method as above
6 - Note both note columns display in table
7 - Note that you can edit or clear the opacnotes field as expected
8 - Verify other feautres work as previously

Sponsored by:
   Lancaster Theological Seminary (https://lancasterseminary.edu/)

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-07-15 18:07:39 UTC
Pushed to master for 16.11, thanks Nick!
Comment 5 Frédéric Demians 2016-08-01 13:43:21 UTC
Pushed in 16.05. Will be in 16.05.02.